package com.neusoft.smart.pos.inventory.persistent.mapper;

import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsLockInfo;
import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsLockInfoExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface InventoryGoodsLockInfoMapper {
    
    int countByExample(InventoryGoodsLockInfoExample example);
    
    int deleteByExample(InventoryGoodsLockInfoExample example);
    
    int deleteByPrimaryKey(Integer id);
    
    int insert(InventoryGoodsLockInfo record);
    
    int insertSelective(InventoryGoodsLockInfo record);
    
    List<InventoryGoodsLockInfo> selectByExample(InventoryGoodsLockInfoExample example);
    
    InventoryGoodsLockInfo selectByPrimaryKey(Integer id);
    
    int updateByExampleSelective(@Param("record") InventoryGoodsLockInfo record, @Param("example") InventoryGoodsLockInfoExample example);
    
    int updateByExample(@Param("record") InventoryGoodsLockInfo record, @Param("example") InventoryGoodsLockInfoExample example);
    
    int updateByPrimaryKeySelective(InventoryGoodsLockInfo record);
    
    int updateByPrimaryKey(InventoryGoodsLockInfo record);
    
    void batchInsert(@Param("items") List<InventoryGoodsLockInfo> items);
}